# salt.modules.ssh_service

Provide the service module for the proxy-minion SSH sample .. versionadded:: 2015.8.2

salt.modules.ssh_service.enabled(name, sig=None)

  Only the 'redbull' service is 'enabled' in the test

salt.modules.ssh_service.get_all()

  Return a list of all available services

  CLI Example:

      salt '*' service.get_all

salt.modules.ssh_service.list_()

  Return a list of all available services.

  CLI Example:

      salt '*' service.list

salt.modules.ssh_service.restart(name, sig=None)

  Restart the specified service with rest_sample

  CLI Example:

      salt '*' service.restart <service name>

salt.modules.ssh_service.running(name, sig=None)

  Return whether this service is running.

salt.modules.ssh_service.start(name, sig=None)

  Start the specified service on the ssh_sample

  CLI Example:

      salt '*' service.start <service name>

salt.modules.ssh_service.status(name, sig=None)

  Return the status for a service via ssh_sample. If the name contains globbing, a dict mapping service name to True/False values is returned.

  Changed in version 2018.3.0: The service name can now be a glob (e.g. `salt*`)

  Parameters:

    - name (str) -- The name of the service to check

    - sig (str) -- Not implemented

  Returns:

    True if running, False otherwise dict: Maps service name to True if running, False otherwise

  Return type:

    bool

  CLI Example:

      salt '*' service.status <service name>

salt.modules.ssh_service.stop(name, sig=None)

  Stop the specified service on the rest_sample

  CLI Example:

      salt '*' service.stop <service name>